###### 键绑定 ######
# 向上移动菜单光标
up_binding=UP WHEEL_UP
# 向下移动菜单光标
down_binding=DOWN WHEEL_DOWN
# 选择菜单项
select_binding=ENTER MBTN_LEFT
# 关闭质量菜单
close_menu_binding=ESC MBTN_RIGHT CTRL+F ALT+F
###### 键绑定 ######

# 字体大小按窗口缩放，如果为否需要更大的字体和填充大小
scale_playlist_by_window=yes

# 播放列表屁股样式覆盖大括号内。\keyvalue 是一个字段，额外 \ 用于 lua 中的转义
# example {\\fnUbuntu\\fs10\\b0\\bord1} equals: font=Ubuntu, size=10, bold=no, border=1
# 标签参考 https://aegi.vmoe.info/docs/3.0/ASS_Tags/
# 未声明的标签将使用默认的 osd 设置
# 这些样式将用于整个播放列表。更具体的样式实现方式并不优雅
# 建议使用等宽字体，保持样式美观
style_ass_tags={\\fnNoto Sans CJK SC,Noto Color Emoji\\fs25\\bord0.5}

# 自定义游标
# 也可以使用上面提到的 ASS 标签。例如：
# selected_and_inactive={\c&H33FFFF&}●  -   | 为所选格式添加颜色
# 使用 ASS 标签，你需要为每一行重置它们
selected_and_active={\c&H00FF00&}▶  - 
selected_and_inactive={\c&H33FFFF&}●  - 
unselected_and_active={\c&HAAAAAA&}▷ - 
unselected_and_inactive={\c&HFFFFFF&}○ - 

# 移位绘图坐标。mpv.net 兼容性所必需的
shift_x=0
shift_y=0

# 左上角的填充
text_padding_x=5
text_padding_y=10

# 菜单打开时屏幕变暗
curtain_opacity=0.7

# 质量菜单超时的秒数
menu_timeout=6

# 使用 youtube-dl 获取可用格式的列表（覆盖 quality_strings），默认：yes
fetch_formats=yes

# 可供选择的 ytdl 格式字符串列表
quality_strings_video=[ {"4320p" : "bestvideo[height<=?4320p]"}, {"2160p" : "bestvideo[height<=?2160]"}, {"1440p" : "bestvideo[height<=?1440]"}, {"1080p" : "bestvideo[height<=?1080]"}, {"720p" : "bestvideo[height<=?720]"}, {"480p" : "bestvideo[height<=?480]"}, {"360p" : "bestvideo[height<=?360]"}, {"240p" : "bestvideo[height<=?240]"}, {"144p" : "bestvideo[height<=?144]"} ]
quality_strings_audio=[ {"default" : "bestaudio"} ]

# 打开网络视频后显示视频格式菜单，默认：yes
start_with_menu=no

# 在列表中包含未知格式，不幸的是，选择视频或音频格式并不总是完美的
# 设置为 yes 以确保您不会错过任何格式，但随后列表还可能包括实际上不是视频或音频的格式。已知不是视频或音频的格式仍会被过滤掉
include_unknown=no

# 隐藏所有格式都相同的列，默认：yes
hide_identical_columns=yes

# 指定列的属性以什么顺序显示，使用','分隔列表，属性前加'-'可使该列左对齐
# 对于 uosc 集成，可以将文本分成标题和提示
## 这是通过用'|'而不是逗号分隔两列来实现的
##可用属性有：
#resolution, width, height, fps, dynamic_range, tbr, vbr, abr, asr,
#filesize, filesize_approx, vcodec, acodec, ext, video_ext, audio_ext,
#language, format, format_note, quality
##以下属性经过特殊处理
#size, frame_rate, bitrate_total, bitrate_video, bitrate_audio,
#codec_video, codec_audio, audio_sample_rate
columns_video=-resolution,frame_rate|dynamic_range,bitrate_video,size,-codec_video,-ext
columns_audio=language,audio_sample_rate,bitrate_audio|size,-codec_audio,-ext

# 用于排序的列，有关可用列，请参阅'columns_video'
# 逗号分隔列表，前缀列带“-”以反转排序顺序
# 将此内容留空可保留 yt-dlp/youtube-dl 的顺序
# 注：拼写错误的列不会导致错误，但它们可能会影响结果
sort_video=
sort_audio=
